@charset "UTF-8";

.button {
    position: relative;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 0.7em 2em;
    line-height: 1.5;
    text-align: center;
}

.button--icon {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0.7em;
}

.button--icon__text {
    flex: 1 1 auto;
    font-size: 14px;
}

.button--white:link,
.button--white:visited{
    color:inherit;
}

.button--rightArrow::before{
    content:"";
    display:inline-block;
    width:.8em;
}

.button--rightArrow::before{
    margin:auto;
    width:9px;
    height:9px;
    border:1px solid;
    border-color:#f2f2f2 #f2f2f2 transparent transparent;
    transform:rotate(45deg);position:absolute;right:15px;
    top:0;bottom:0;
}

@media only screen and (max-width:767px){
.button--rightArrow::before{
    width:8px;
    height:8px;}
}

.button--rightArrow::after{
    content:"";
    display:inline-block;
    width:.8em
}

.button--white::before{
    border-top-color:#666;
    border-right-color:#666
}

.button--white:link, .button--white:visited {
    color: inherit;
}

.button--white {
    border: 1px solid #dcdddd;
    background-color: #fff;
}

a {
transition: opacity 0.3s ease;
}